<?php
/*------------------------------------------------------+
| PHP-Fusion Content Management System                  
| Copyright (C) 2002 - 2011 Nick Jones                  
| http://www.php-fusion.co.uk/                          
+-------------------------------------------------------+
| This program is released as free software under the   
| Affero GPL license. You can redistribute it and/or    
| addonify it under the terms of this license which you 
| can read by viewing the included agpl.txt or online   
| at http://www.gnu.org/licenses/agpl.html.             
| Removal of this copyright header is strictly          
| prohibited without written permission from the        
| original author(s).                                   
+------------------------------------------------------*/
/*------------------------------------------------------+
|         joga theme for PHP-Fusion v7                  
|        based on Bifrost by Johan Wilson               
+-------------------------------------------------------+
| Filename: theme.php                                   
| joga conversion by: Vlad Fagarasanu (Faga)            
| Homepage: http://cvision.eu               
+-------------------------------------------------------+
| Joga Steel Varitation Version 1.01
| By Fangree_Craig
| http://www.fangree.co.uk
-------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<span class='bullet'>&middot;</span>");

require_once INCLUDES."theme_functions_include.php";
require_once THEME."functions.php";

function render_page($license = false) {
add_handler("theme_output");
	global $settings, $main_style, $locale, $mysql_queries_time, $aidlink, $userdata, $search;
	
	$localized_joga = THEME."locale/".$settings['locale'].".php";
	if (file_exists($localized_joga)) { include_once $localized_joga; }
	unset($localized_joga);

	echo "<div class='header'>";
	echo "<div class='header-bg'>";
	echo "<div id='nav'>".showsublinks( THEME_BULLET )."</div>\n";
	echo "<div class='banner1'>\n".showbanners2()."</div>\n";
	echo "<div class='banner2'>\n".showbanners3()."</div>\n";
	
	echo "<div class='date'>";
	echo "<div class='date title'>".$locale['joga_date']."</div>";
	echo "<div class='date content'>".showsubdate()."</div>";
	echo "</div>";//Date end
	
	echo "<div class='userc'>";
	if(iMEMBER){
		echo "<div class='userc title'>".$locale['joga_logged_in']."<a href='".BASEDIR."profile.php?lookup=".$userdata['user_id']."'>".($userdata['user_name'])."</a></div>\n";
	}else{
		echo "<div class='userc title'>".$locale['joga_logged_out']."</div>";
	}
	
	if (iMEMBER) {
		echo "<div class='userc content'>";
		$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0' AND message_folder='0'"); 
		$joga_new_pm = ($msg_count == 1) ? $locale['joga_new_pm'] : $locale['joga_new_pms']; 
		echo "<a href='".BASEDIR."edit_profile.php'>".$locale['global_120']."</a> - \n";
		echo "<a href='".BASEDIR."members.php'>".$locale['global_122']."</a> - \n";
		echo "<a href='".BASEDIR."messages.php'>".$locale['global_121']."</a> \n";
		echo "(".sprintf($joga_new_pm, $msg_count).")<br />\n"; 
		echo (iADMIN ? "<a href='".ADMIN."index.php".$aidlink."'>".$locale['global_123']."</a> - " : "")."\n";

		if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) {
		$subm_count = dbcount("(submit_id)", DB_SUBMISSIONS);

		if ($subm_count) {
			echo "<a href='".ADMIN."submissions.php".$aidlink."' class='side'>".sprintf($locale['global_125'], $subm_count);
			echo ($subm_count == 1 ? $locale['global_128'] : $locale['global_129'])."</a> - \n";
			}
		
	}
		echo "<a href='".BASEDIR."setuser.php?logout=yes'>".$locale['global_124']."</a>\n";
		echo "</div>";
	} else {
		echo "<div class='userc content-lo'>";
		echo "<a href='".BASEDIR."login.php' class='button' >".$locale['global_104']."</a>\n";
		echo ($settings['enable_registration'] ? "<a href='".BASEDIR."register.php' class='button' >".$locale['global_107']."</a>\n" : ""); 
		echo "<a href='".BASEDIR."lostpassword.php' class='button' >".$locale['joga_req_new_pwd']."</a>\n";
		echo "</div>";
	}
	echo "</div>";//Userc end

	echo "<div class='search'>";
	$is_search = preg_match('/search.php/i',FUSION_SELF) ? true : false;
	echo "<div class='search title'>".$locale['joga_search']."</div>";
	
	echo "<div class='search content'>";
		if ($is_search) { 
		if (isset($_GET['stext'])) { 
			if (is_array($_GET['stext'])) {
				echo $locale['joga_search_msg'];  
			} else {
				$trim_this = trim(preg_replace("/ +/i", " ", $_GET['stext'])); 
				echo (empty($trim_this) || strlen($trim_this) < 3) ? 
					$locale['joga_search_msg'] : 
					sprintf($locale['joga_search_txt'], "<span>&ldquo;".$trim_this."&rdquo;</span>"); 
			}
		} else {
			echo $locale['joga_search_msg'];
		}
	} else {

		echo "<form action='".BASEDIR."search.php' method='get' class='box'>\n";
		echo "<input type='text' name='stext' class='s'/>\n";
		echo "<input type='submit' value='".$locale['joga_search_button']."' class='searchsubmit'/>\n";
		echo "</form>\n";
		
	}
	echo "</div>";
	echo "</div>";//Search end

	echo "</div>\n";//Header-bg end
	echo "</div>\n";//Header end
	echo "<div class='clear'></div>\n";
	echo "<div class='container'>";
	//Bug fix for TinyMCE HTML editor
	$exclude_pages = array(
   	BASEDIR."submit.php",
	);
	
	if (RIGHT && !in_array(FUSION_SELF, $exclude_pages)) { 
	echo "<div class='main-bg'>\n";	
		if (LEFT) { echo "<div id='side-left'>".LEFT."</div>\n"; }
		if (RIGHT) { echo "<div id='side-right'>".RIGHT."</div>\n"; }
		echo "<div id='mid-center' class='".$main_style."'>";
		echo "<div class='upper'>".U_CENTER."</div>\n";
		echo "<div class='content'>".CONTENT."</div>\n";
		echo "<div class='lower'>".L_CENTER."</div>\n";
		echo "</div>\n";//Side center end
		echo "</div>\n";//Main-Bg end
	echo "<div class='clear'></div>\n";
	
	} else {
		
	echo "<div class='main-bg'>\n";
	if (LEFT) { echo "<div id='side-left'>".LEFT."</div>\n"; }
		echo "<div id='mid-center-no-right' class='".$main_style."'>";
		echo "<div class='upper'>".U_CENTER."</div>\n";
		echo "<div class='content'>".CONTENT."</div>\n";
		echo "<div class='lower'>".L_CENTER."</div>\n";
		echo "</div>\n";//Side center end
		echo "</div>\n";//Main-Bg end
	echo "<div class='clear'></div>\n";
	
	}
	echo "</div>\n";//Container end
	
	
	echo "<div class='footer'>";
	echo "<div id='footer-content'>";
		echo stripslashes($settings['footer']);
	if (!$license)	
	echo "<br />".showcopyright();
	echo "<br />".showcounter();
	echo "<br />".showrendertime();
	echo "<br /><br />Joga Steel Theme by <a href='http://www.fangree.co.uk' target='_blank' title='Fangree Productions'>Fangree Productions</a> A variation of Joga Theme by <a href='http://cvision.eu' target='_blank' title='Creative Vision - 50% creativity and 50% vision'>Creative Vision</a>";
	echo "</div>\n";//Footer content end
	echo "</div>\n";//Footer end
	
	/*foreach ($mysql_queries_time as $query) {
		echo $query[0]." QUERY: ".$query[1]."<br />";
	}*/

}

/* New in v7.02 - render comments */
function render_comments($c_data, $c_info){
	global $locale;
	opentable($locale['c100']);
	if (!empty($c_data)){
		echo "<div class='floatfix'>\n";
			$c_makepagenav = '';
			if ($c_info['c_makepagenav'] !== FALSE) { 
			echo $c_makepagenav = "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n"; 
		}
			foreach($c_data as $data) {
			echo "<div class='comments'>\n";
			if ($data['edit_dell'] !== FALSE) { 
				echo "<div style='float:right' class='comment_actions'>".$data['edit_dell']."\n</div>\n";
			}
			echo "<a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a> |\n";
			echo "<span class='comment-name'>".$data['comment_name']."</span>\n";
			echo "<span class='small'>".$data['comment_datestamp']."</span>\n";
			echo "</div>\n<div class='tbl1 comment_message'>".$data['comment_message']."</div>\n";
		}
		echo $c_makepagenav;
		if ($c_info['admin_link'] !== FALSE) {
			echo "<div style='float:right' class='comment_admin'>".$c_info['admin_link']."</div>\n";
		}
		echo "</div>\n";
	} else {
		echo $locale['c101']."\n";
	}
	closetable();   
}

/* Render News by Fangree_Craig - Joga Steel V1.01 */
function render_news($subject, $news, $info) {

    global $locale, $settings, $aidlink;
    opentable($subject);
    echo" <div class='news-info'>".$locale['global_070'].profile_link($info['user_id'], $info['user_name'], $info['user_status']);
          echo " ".$locale['global_071'].showdate("%d-%m-%Y %H:%M", $info['news_date'])."\n";
            echo "<div class='flright clearfix'>\n";
	        echo "<a href='".BASEDIR."print.php?type=N&amp;item_id=".$info['news_id']."'><img src='".THEME."images/printer.gif' border='0' alt='printer' /></a>\n";
	            if (iADMIN && checkrights("N")) {
                echo " <a href='".ADMIN."news.php".$aidlink."&amp;action=edit&amp;news_id=".$info['news_id']."'><img src='".THEME."images/edit.png' alt='".$locale['global_076']."' title='".$locale['global_076']."' border='0' /></a>\n";
	            }
	           echo "</div>\n";
	          echo"</div>\n";
             echo "<div class='news-body floatfix'>".$info['cat_image'].$news."</div>\n";
          echo" <div class='news-infob'>";
         echo $info['news_reads'].$locale['global_074']."";
    if ($info['news_ext'] == "y") { echo" &ndash; <a href='".BASEDIR."news.php?readmore=".$info['news_id']."'>".$locale['global_072']."</a>";}
     if ($info['news_allow_comments'] && $settings['comments_enabled'] == "1") { echo " &ndash; <a href='".BASEDIR."news.php?readmore=".$info['news_id']."#comments'>".$info['news_comments'].($info['news_comments'] == 1 ? $locale['global_073b'] : $locale['global_073'])."</a>\n"; }
    echo"</div>\n";

    closetable();

}

/* Render Articles by Fangree_Craig - Joga Steel V1.01 */
function render_article($subject, $article, $info) {

    global $locale, $settings, $aidlink;
	opentable($subject);
    echo" <div class='news-info'>".$locale['global_070'].profile_link($info['user_id'], $info['user_name'], $info['user_status']);
          echo " ".$locale['global_071'].showdate("%d-%m-%Y %H:%M", $info['article_date']);
           echo "<div class='flright clearfix'>\n";
	       echo "<a href='".BASEDIR."print.php?type=A&amp;item_id=".$info['article_id']."'><img src='".THEME."images/printer.gif' border='0' alt='printer' /></a>\n";
	           if (iADMIN && checkrights("A")) {
	           echo "<a href='".ADMIN."articles.php".$aidlink."&amp;action=edit&amp;article_id=".$info['article_id']."'><img src='".THEME."images/edit.png' alt='".$locale['global_076']."' title='".$locale['global_076']."' border='0' /></a>\n";
               }
              echo "</div>\n";
             echo" </div>\n";
            echo "<div class='news-body floatfix'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>\n";
          echo"<div class='news-infob'>";
        echo $info['article_reads'].$locale['global_074'];
       if ($info['article_allow_comments'] && $settings['comments_enabled'] == "1") { echo " &ndash; <a href='".BASEDIR."articles.php?article_id=".$info['article_id']."#comments'>".$info['article_comments'].($info['article_comments'] == 1 ? $locale[	'global_073b'] : $locale['global_073'])."</a>\n"; }
    echo"</div>\n";

	closetable();
}

function opentable($title) {
	echo "<div class='capmain'>".$title."</div>\n";
	echo "<div class='main-body spacer'>\n";

}

function closetable() {
	echo "</div>\n";


}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	echo "<div class='scapmain clearfix'>\n";
	echo "<div class='flleft'>".$title."</div>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<div class='flright' style='padding-top: 2px;'>".panelbutton($state, $boxname)."</div>\n";
	}
	echo "</div>\n";
	
	echo "<div class='side-body spacer'>\n";
	if ($collapse == true) { echo panelstate($state, $boxname); }
	
}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</div>\n";
	
}?>